> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Create a new instance group

POST https://example.itential.io/lifecycle-manager/resources/{modelIdentifier}/groups
Content-Type: application/json

Creates a new instance group.

Reference: https://docs.itential.com/itential-platform/6/api-reference/lifecycle-manager/create-instance-group-http

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `modelIdentifier` (string or string, required) — modelIdentifier

## Response

### 200

response

- `data` (object, optional) — A Resource Instance Group document in HTTP response format.
  - `createdBy` (object, optional, nullable)
    - `firstname` (string, optional)
    - `provenance` (string, optional)
    - `username` (string, optional)
    - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdatedBy` (object, optional, nullable)
    - `firstname` (string, optional)
    - `provenance` (string, optional)
    - `username` (string, optional)
    - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `lastUpdated` (string, optional) — An ISO 8601 date string
  - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `lastAction` (object, optional) — The last action that was run against this document
    - `_id` (any, required) — The identifier of an action
    - `executionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
    - `name` (string, required) — The name of the action
    - `type` (enum, required) — The type of the action
      - Allowed values: `import`, `create`, `update`, `delete`
    - `status` (enum, required) — A single string describing the current activity status of this action
      - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{
  "modelId": "string",
  "name": "myCoolDocumentName"
}
```

**Response**

```json
{
  "data": {
    "createdBy": {
      "firstname": "string",
      "provenance": "string",
      "username": "string",
      "_id": "string"
    },
    "created": "2024-01-15T09:30:00Z",
    "lastUpdatedBy": {
      "firstname": "string",
      "provenance": "string",
      "username": "string",
      "_id": "string"
    },
    "lastUpdated": "2024-01-15T09:30:00Z",
    "_id": "string",
    "lastAction": {
      "_id": null,
      "executionId": "string",
      "name": "Create",
      "type": "import",
      "status": "running"
    },
    "description": "Some helpful information about the document",
    "modelId": "string",
    "name": "myCoolDocumentName"
  },
  "message": "Successfully created the requested item",
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups"

payload = {
    "modelId": "string",
    "name": "myCoolDocumentName"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"modelId":"string","name":"myCoolDocumentName"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups"

	payload := strings.NewReader("{\n  \"modelId\": \"string\",\n  \"name\": \"myCoolDocumentName\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"modelId\": \"string\",\n  \"name\": \"myCoolDocumentName\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")
  .header("Content-Type", "application/json")
  .body("{\n  \"modelId\": \"string\",\n  \"name\": \"myCoolDocumentName\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups', [
  'body' => '{
  "modelId": "string",
  "name": "myCoolDocumentName"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"modelId\": \"string\",\n  \"name\": \"myCoolDocumentName\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "modelId": "string",
  "name": "myCoolDocumentName"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```